Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Mac displays warning -- You can't open the application "Firefox" because it is not supported on this architecture

  • 2 replies
  • 13 have this problem
  • 209 views
  • Last reply by Barry23

more options

I have downloaded the file Firefox 7.0b1.dmg When opened this window displays the Firefox symbol but with a white circle and diagonal bar -- presumably an error symbol. When this is dragged onto the application symbol as directed and the file is opened the message 'You can't open the application "Firefox" because it is not supported on this architecture' is displayed. I have previously run Firefox 2.0.0.20 successfully for many years. My computer operating system is Mac OSX 10.5.8 Can you please advise?

All Replies (2)

more options

Firefox 4 and later versions don't support PPC Macs.

For older Macs that aren't supported in Firefox 4 / 5 / 6, try TenFourFox for PowerPC's running Mac 10.4.11 & 10.5.8 .
http://www.floodgap.com/software/tenfourfox/
http://code.google.com/p/tenfourfox/downloads/list

Or use 3.6.20
http://www.mozilla.com/en-US/firefox/all-older.html

more options

Dear the-edmeister Many thanks for your helpful advice. I have downloaded TenFourFox as recommended. This seems to work perfectly -- as you will gather from this reply. Keep up the good work helping 'the-not-so-competent' like me!! Best wishes Barry23